Bandwithd dependency version mismatch



  • Hi.

    I was having a problem with bandwidthd. If you click on the "access" tab, you get the common "start bandwithd to populate" error message. I dug around on the forums and tried reinstalling via the gui. No change, still wouldn't display anything. Next, I tried logging into the console and removing the package manually. When I tried to install via pkg_add -r bandwidthd, I got the following error message:

    pkg_add -r bandwidthd
    Fetching ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8.3-release/Latest/bandwidthd.tbz… Done.
    Fetching ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8.3-release/All/expat-2.0.1_2.tbz... Done.
    Fetching ftp://ftp.freebsd.org/pub/FreeBSD/ports/amd64/packages-8.3-release/All/fontconfig-2.8.0_1,1.tbz... Done.
    Running fc-cache to build fontconfig cache...
    /usr/local/share/fonts: skipping, no such directory
    /usr/local/lib/X11/fonts: caching, new cache contents: 0 fonts, 1 dirs
    /usr/local/lib/X11/fonts/local: caching, new cache contents: 0 fonts, 0 dirs
    /root/.fonts: skipping, no such directory
    /var/db/fontconfig: cleaning cache directory
    /root/.fontconfig: not cleaning non-existent cache directory
    fc-cache: succeeded
    pkg_add: warning: package 'bandwidthd-2.0.1_4' requires 'png-1.4.8_1', but 'png-1.4.8' is installed
    pkg_add: warning: package 'bandwidthd-2.0.1_4' requires 'libiconv-1.13.1_2', but 'libiconv-1.13.1_1' is installed
    pkg_add: warning: package 'bandwidthd-2.0.1_4' requires 'libiconv-1.13.1_2', but 'libiconv-1.14' is installed

    I am running this version:

    2.1-BETA0 (amd64)
    built on Wed Aug 15 08:43:33 EDT 2012
    FreeBSD 8.3-RELEASE-p4

    You are on the latest version


  • Rebel Alliance Developer Netgate

    pfSense 2.1 doesn't use .tbz packages, and they aren't fetched from freebsd.org.

    We use PBI packages, and bandwidthd is working last I knew.

    You probably did more harm to your system than good by adding the package in that way.


Locked